GDB (xrefs)

Public Member Functions | List of all members
gdb.command.type_printers.InfoTypePrinter Class Reference
Inheritance diagram for gdb.command.type_printers.InfoTypePrinter:

## Public Member Functions
def | __init__ (self)
def | list_type_printers (self, type_printers)
def | invoke (self, arg, from_tty)
def | __init__ (self)
def | list_type_printers (self, type_printers)
def | invoke (self, arg, from_tty)

## Detailed Description

    GDB command to list all registered type-printers.

    Usage: info type-printers

Definition at line 22 of file type_printers.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.command.type_printers.InfoTypePrinter.__init__ | ( |  | self | ) |

Definition at line 28 of file type_printers.py.

Referenced by gdb.command.type_printers.InfoTypePrinter.__init__().

## ◆ __init__() [2/2]

def gdb.command.type_printers.InfoTypePrinter.__init__ | ( |  | self | ) |

Definition at line 28 of file type_printers.py.

References gdb.command.type_printers.InfoTypePrinter.__init__().

## Member Function Documentation

## ◆ invoke() [1/2]

def gdb.command.type_printers.InfoTypePrinter.invoke | ( |  | self,
|  |  | arg,
|  |  | from_tty
| ) |  |

    GDB calls this to perform the command.

Definition at line 45 of file type_printers.py.

References gdb.command.type_printers.InfoTypePrinter.list_type_printers().

Referenced by gdb.command.type_printers.InfoTypePrinter.invoke().

## ◆ invoke() [2/2]

def gdb.command.type_printers.InfoTypePrinter.invoke | ( |  | self,
|  |  | arg,
|  |  | from_tty
| ) |  |

    GDB calls this to perform the command.

Definition at line 45 of file type_printers.py.

References gdb.command.type_printers.InfoTypePrinter.invoke(), and gdb.command.type_printers.InfoTypePrinter.list_type_printers().

## ◆ list_type_printers() [1/2]

def gdb.command.type_printers.InfoTypePrinter.list_type_printers | ( |  | self,
|  |  | type_printers
| ) |  |

    Print a list of type printers.

Definition at line 32 of file type_printers.py.

References gdb.command.type_printers.InfoTypePrinter.list_type_printers().

## ◆ list_type_printers() [2/2]

def gdb.command.type_printers.InfoTypePrinter.list_type_printers | ( |  | self,
|  |  | type_printers
| ) |  |

    Print a list of type printers.

Definition at line 32 of file type_printers.py.

Referenced by gdb.command.type_printers.InfoTypePrinter.invoke(), and gdb.command.type_printers.InfoTypePrinter.list_type_printers().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/command/type_printers.py